# Uses of Class
org.eclipse.core.resources.mapping.ResourceMapping

Packages that use ResourceMapping
Package
Description
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.ltk.core.refactoring.model
Application programming interface to support logical models.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.

## Uses of ResourceMapping in org.eclipse.core.resources.mapping

Subclasses of ResourceMapping in org.eclipse.core.resources.mapping
Modifier and Type
Class
Description
`final class`
`CompositeResourceMapping`
A resource mapping that obtains the traversals for its model object from a set of child mappings.
Methods in org.eclipse.core.resources.mapping that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping[]`
CompositeResourceMapping.`getMappings()`
Return the resource mappings contained in this composite.
`ResourceMapping[]`
ModelProvider.`getMappings(IResource[] resources, ResourceMappingContext context, IProgressMonitor monitor)`
Returns the set of mappings that cover the given resources.
`ResourceMapping[]`
ModelProvider.`getMappings(IResource resource, ResourceMappingContext context, IProgressMonitor monitor)`
Returns the resource mappings that cover the given resource.
`ResourceMapping[]`
ModelProvider.`getMappings(ResourceTraversal[] traversals, ResourceMappingContext context, IProgressMonitor monitor)`
Returns the set of mappings that overlap with the given resource traversals.
Methods in org.eclipse.core.resources.mapping with parameters of type ResourceMapping
Modifier and Type
Method
Description
`boolean`
CompositeResourceMapping.`contains(ResourceMapping mapping)`
`boolean`
ResourceMapping.`contains(ResourceMapping mapping)`
Return whether this resource mapping contains all the resources of the given mapping.
`ResourceTraversal[]`
ModelProvider.`getTraversals(ResourceMapping[] mappings, ResourceMappingContext context, IProgressMonitor monitor)`
Returns a set of traversals that cover the given resource mappings.
Constructors in org.eclipse.core.resources.mapping with parameters of type ResourceMapping
Modifier
Constructor
Description
``
`CompositeResourceMapping(String providerId, Object modelObject, ResourceMapping[] mappings)`
Create a composite mapping that obtains its traversals from a set of sub-mappings.

## Uses of ResourceMapping in org.eclipse.ltk.core.refactoring.model

Subclasses of ResourceMapping in org.eclipse.ltk.core.refactoring.model
Modifier and Type
Class
Description
`class`
`AbstractRefactoringDescriptorResourceMapping`
Partial implementation of a resource mapping for a refactoring descriptor object.
`class`
`AbstractRefactoringHistoryResourceMapping`
Partial implementation of a resource mapping for a refactoring history object.

## Uses of ResourceMapping in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping[]`
IMergeStatus.`getConflictingMappings()`
Returns the set of resource mappings for which an auto-merge was not performed.
`ResourceMapping[]`
ISynchronizationScope.`getInputMappings()`
Return the array of mappings that acted as the input to the scope builder that was used to build this scope.
`ResourceMapping`
ISynchronizationScope.`getMapping(Object modelObject)`
Return the resource mapping in the scope associated with the given model object or `null` if there isn't one.
`ResourceMapping[]`
ISynchronizationScope.`getMappings()`
Return an array of all of the mappings to be operated on.
`ResourceMapping[]`
ISynchronizationScope.`getMappings(String modelProviderId)`
Return all the mappings to be operated on for the given model provider id.
`ResourceMapping[]`
ISynchronizationScopeParticipant.`handleContextChange(ISynchronizationScope scope, IResource[] resources, IProject[] projects)`
Callback that the manager makes to participants when the state of resources that are contained in the resource mapping context of the manager change.
Methods in org.eclipse.team.core.mapping with parameters of type ResourceMapping
Modifier and Type
Method
Description
`ResourceTraversal[]`
ISynchronizationScope.`getTraversals(ResourceMapping mapping)`
Return an array of traversals that cover the given resource mapping to be operated on.
`void`
ISynchronizationContext.`refresh(ResourceMapping[] mappings, IProgressMonitor monitor)`
Refresh the portion of the context related to the given resource mappings.
`void`
ISynchronizationScope.`refresh(ResourceMapping[] mappings)`
Refresh the given mapping asynchronously.
`ResourceTraversal[]`
ISynchronizationScopeManager.`refresh(ResourceMapping[] mappings, IProgressMonitor monitor)`
Refresh the scope of this manager for the given mappings.
`void`
ISynchronizationScopeChangeListener.`scopeChanged(ISynchronizationScope scope, ResourceMapping[] mappings, ResourceTraversal[] traversals)`
Notification that the scope has changed.

## Uses of ResourceMapping in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping[]`
MergeStatus.`getConflictingMappings()`
`static ResourceMapping[]`
SynchronizationScopeManager.`getMappingsFromProviders(ResourceTraversal[] traversals, ResourceMappingContext context, IProgressMonitor monitor)`
Convenience method for obtaining the set of resource mappings from all model providers that overlap with the given resources.
Methods in org.eclipse.team.core.mapping.provider with parameters of type ResourceMapping
Modifier and Type
Method
Description
`protected final ResourceTraversal[]`
SynchronizationScopeManager.`addMappingToScope(ResourceMapping mapping, ResourceTraversal[] traversals)`
Add the mapping and its calculated traversals to the scope.
`protected final ISynchronizationScope`
SynchronizationScopeManager.`createScope(ResourceMapping[] inputMappings)`
Create the scope that will be populated and returned by the builder.
`void`
SynchronizationContext.`refresh(ResourceMapping[] mappings, IProgressMonitor monitor)`
`void`
SynchronizationScopeManager.`refresh(ResourceMapping[] mappings)`
Refresh the given mappings by recalculating the traversals for the mappings and adjusting the scope accordingly.
`ResourceTraversal[]`
SynchronizationScopeManager.`refresh(ResourceMapping[] mappings, IProgressMonitor monitor)`
Constructors in org.eclipse.team.core.mapping.provider with parameters of type ResourceMapping
Modifier
Constructor
Description
``
`MergeStatus(String pluginId, String message, ResourceMapping[] conflictingMappings)`
Create a merge status for reporting that some of the resource mappings for which a merge was attempted were not auto-mergable.
``
`SynchronizationScopeManager(String name, ResourceMapping[] inputMappings, ResourceMappingContext resourceMappingContext, boolean consultModels)`
Create a scope manager that uses the given context to determine what resources should be included in the scope.

## Uses of ResourceMapping in org.eclipse.team.core.subscribers

Methods in org.eclipse.team.core.subscribers with parameters of type ResourceMapping
Modifier and Type
Method
Description
`int`
Subscriber.`getState(ResourceMapping mapping, int stateMask, IProgressMonitor monitor)`
Return the synchronization state of the given resource mapping.
`ResourceTraversal[]`
SubscriberScopeManager.`refresh(ResourceMapping[] mappings, IProgressMonitor monitor)`
Constructors in org.eclipse.team.core.subscribers with parameters of type ResourceMapping
Modifier
Constructor
Description
``
`SubscriberScopeManager(String name, ResourceMapping[] inputMappings, Subscriber subscriber, boolean consultModels)`
Create a manager for the given subscriber and input.
``
`SubscriberScopeManager(String name, ResourceMapping[] inputMappings, Subscriber subscriber, RemoteResourceMappingContext context, boolean consultModels)`
Create a manager for the given subscriber and input.

## Uses of ResourceMapping in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping[]`
ISynchronizationCompareAdapter.`restore(IMemento memento)`
Restore the previously saved resource mappings.
Methods in org.eclipse.team.ui.mapping with parameters of type ResourceMapping
Modifier and Type
Method
Description
`ImageDescriptor`
ISynchronizationCompareAdapter.`getImageDescriptor(ResourceMapping mapping)`
Return an image descriptor that can be displayed as an icon for the model object of the given resource mapping.
`ImageDescriptor`
SynchronizationCompareAdapter.`getImageDescriptor(ResourceMapping mapping)`
`String`
ISynchronizationCompareAdapter.`getName(ResourceMapping mapping)`
Get the name associated with the model object of the given mapping.
`String`
SynchronizationCompareAdapter.`getName(ResourceMapping mapping)`
`String`
ISynchronizationCompareAdapter.`getPathString(ResourceMapping mapping)`
Get the path associated with the model object of the given mapping.
`String`
SynchronizationCompareAdapter.`getPathString(ResourceMapping mapping)`
`int`
ISynchronizationCompareAdapter.`getSynchronizationState(ITeamStateProvider provider, ResourceMapping mapping, int stateMask, IProgressMonitor monitor)`
Return the synchronization state of the resource mapping with respect to the given team state provider.
`int`
SynchronizationCompareAdapter.`getSynchronizationState(ITeamStateProvider provider, ResourceMapping mapping, int stateMask, IProgressMonitor monitor)`
Return the synchronization state of the resource mapping with respect to the given team state provider.
`void`
ISynchronizationCompareAdapter.`save(ResourceMapping[] mappings, IMemento memento)`
Save the given resource mappings from this adapters model provider into the given memento in a form that can be restored at a future time.

## Uses of ResourceMapping in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping[]`
AbstractSynchronizeScope.`getMappings()`
Return the resource mappings that define this scope.
Methods in org.eclipse.team.ui.synchronize with parameters of type ResourceMapping
Modifier and Type
Method
Description
`protected abstract ISynchronizeParticipant`
ModelParticipantWizard.`createParticipant(ResourceMapping[] selectedMappings)`
Method called from `ModelParticipantWizard.createParticipant()` to create a `ModelSynchronizeParticipant` for the given resource mappings.
`protected ISynchronizationScopeManager`
ModelSynchronizeParticipant.`createScopeManager(ResourceMapping[] mappings)`
Create and return a scope manager that can be used to build the scope of this participant when it is restored after a restart.
`protected String`
ModelSynchronizeParticipant.`getLongTaskName(ResourceMapping[] mappings)`
Returns the long task name to describe the behavior of the refresh operation to the user.
`final void`
ModelSynchronizeParticipant.`refresh(IWorkbenchSite site, ResourceMapping[] mappings)`
Refresh a participant in the background the result of the refresh are shown in the progress view.

## Uses of ResourceMapping in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return ResourceMapping
Modifier and Type
Method
Description
`ResourceMapping`
IContributorResourceAdapter2.`getAdaptedResourceMapping(IAdaptable adaptable)`
Return the resource mapping that the supplied adaptable adapts to.
`static ResourceMapping`
ResourceUtil.`getResourceMapping(Object element)`
Returns the resource mapping corresponding to the given model element, or `null` if there is no applicable resource mapping.